Create or update a role

Base URL
https://{kibana_url}
  • PUT /api/security/role/{name}
Auth

Create a new Kibana role or update the attributes of an existing role. Kibana roles are stored in the Elasticsearch native realm.

Path parameters

name string · min length: 1 · max length: 1024 required

The role name.

Query parameters

createOnly boolean · default: false

When true, a role is not overwritten if it already exists.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

description string · max length: 2048

A description for the role.

elasticsearch object required

The Elasticsearch cluster, index, and remote cluster security privileges for the role.

cluster string[] · max items: 100
run_as string[] · max items: 100
metadata map string to object

Response

204

Indicates a successful call.

Base URL
https://{kibana_url}